Loading...
Searching...
No Matches
Paths to lock hooks

## Functions

const char * | svn_repos_pre_lock_hook (svn_repos_t *repos, apr_pool_t *pool)
| Return the path to repos's pre-lock hook, allocated in pool.
const char * | svn_repos_post_lock_hook (svn_repos_t *repos, apr_pool_t *pool)
| Return the path to repos's post-lock hook, allocated in pool.
const char * | svn_repos_pre_unlock_hook (svn_repos_t *repos, apr_pool_t *pool)
| Return the path to repos's pre-unlock hook, allocated in pool.
const char * | svn_repos_post_unlock_hook (svn_repos_t *repos, apr_pool_t *pool)
| Return the path to repos's post-unlock hook, allocated in pool.
svn_error_t * | svn_repos_hooks_setenv (svn_repos_t *repos, const char *hooks_env_path, apr_pool_t *scratch_pool)
| Specify that Subversion should consult the configuration file located at hooks_env_path to determine how to setup the environment for hook scripts invoked for the repository repos.

## Detailed Description

Since
  New in 1.2.

## Function Documentation

## svn_repos_hooks_setenv()

svn_error_t * svn_repos_hooks_setenv | ( | svn_repos_t * | repos,
|  | const char * | hooks_env_path,
|  | apr_pool_t * | scratch_pool )

Specify that Subversion should consult the configuration file located at hooks_env_path to determine how to setup the environment for hook scripts invoked for the repository repos.

As a special case, if hooks_env_path is `NULL`, look for the file in its default location within the repository disk structure. If hooks_env_path is not absolute, it specifies a path relative to the parent of the file's default location.

Use scratch_pool for temporary allocations.

If this function is not called, or if the specified configuration file does not define any environment variables, hooks will run in an empty environment.

Since
  New in 1.8.